List all Intents
Retrieve a paginated list of Intents, with optional filters for provider, currency, date range, and status.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
If your platform is using a proxy to take SCA-triggering action on behalf of users, you also need to integrate mTLS authentication and use the api-mtls base URL.
Path parameters
Query parameters
The date before which the object was created (based on the object's CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.
The date after which the object was created (based on the object's CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.
Allowed values: AUTHORIZED, CAPTURED, PARTIALLY_CAPTURED, REFUNDED, REFUND_REVERSED, DISPUTED, DISPUTED_WON, DISPUTED_LOST, DEFENDED, CANCELLED
The status of the Intent. You can filter on multiple values by separating them with a comma.
The third-party PSP name to filter by.
The three-letter ISO 4217 code of the currency to filter by.
Start value: 1
Default value: 1
Indicates the index of the page for the pagination.
Min. value: 1; max. value: 100
Default value: 10
Indicates the number of items returned for each page of the pagination.
Response
The status of the Intent.
Intent Status values:
AUTHORIZED– The IntentAmountwas authorized for acquisition by the PSP and can be captured or canceled.PARTIALLY_CAPTURED– Part of the IntentAmountfrom one or moreLineItemswas captured.CAPTURED– All of the IntentAmountwas captured.CANCELLED– All of the IntentAmountwas canceled.REFUNDED– All of theCapturedAmountof allLineItemswas refunded.REFUND_REVERSED– The refund could not be completed and the funds were returned to the platform.DISPUTED– All of theCapturedAmountof allLineItemswas disputed.DEFENDED– The dispute is being defended by the platform.DISPUTED_WON– The dispute was resolved in favor of the platform.DISPUTED_LOST– The dispute was resolved against the platform.
Unix timestamp (UTC) of the date and time the Intent moved to AUTHORIZED.